Skip to main content

Get accounting entity by id

GEThttps://api.propexo.com/v1/accounting-entities/:accounting_entity_id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

accounting_entity_id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the accounting entity

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    Important

    Due to ResMan API limitations, only invoices and invoice items that were created via their API can be read via their legacy API.

    InterfaceMethod
    Accounts Payable/MITS/GetAccountsPayable4_0
    Example: b58db2aa-198a-49d0-9cbe-05b66af83458
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    Important

    Due to ResMan API limitations, only invoices and invoice items that were created via their API can be read via their legacy API.

    InterfaceMethod
    Accounts Payable/MITS/GetAccountsPayable4_0
    Example: dc8517d2-74d7-4d21-883e-7403d4ec465b
    entity_namestring | nullnullablerequired

    The name of the accounting entity

    Notice

    This field is not currently hydrated for RESMAN

    ledger_codestringrequired

    The ledger code associated to the accounting entity

    Notice

    This field is not currently hydrated for RESMAN

    current_periodstring | nullnullablerequired

    The current period of the accounting entity

    Notice

    This field is not currently hydrated for RESMAN

    is_activeboolean | nullnullablerequired

    Whether the accounting entity is active

    Notice

    This field is not currently hydrated for RESMAN

    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum23required

    The property management system of record

    Show 13 enum values
    RESMANAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINEYARDIYARDI_REST
    Example: RESMAN
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/accounting-entities/:accounting_entity_id
curl https://api.propexo.com/v1/accounting-entities/:accounting_entity_id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "b58db2aa-198a-49d0-9cbe-05b66af83458",
"x_property_id": "dc8517d2-74d7-4d21-883e-7403d4ec465b",
"entity_name": "string",
"ledger_code": "string",
"current_period": "string",
"is_active": true,
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "RESMAN",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
}